Package org.apache.cxf.common.util

# Class PrimitiveUtils

java.lang.Object
org.apache.cxf.common.util.PrimitiveUtils

public final class PrimitiveUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `canPrimitiveTypeBeAutoboxed(Class<?> primitiveClass, Class<?> type)`
  `static Class<?>`
  `getClass(String value)`
  `static <T> Object`
  `read(String value, Class<T> type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### canPrimitiveTypeBeAutoboxed

    public static boolean canPrimitiveTypeBeAutoboxed(Class<?> primitiveClass, Class<?> type)

  - ### getClass

    public static Class<?> getClass(String value)

  - ### read

    public static <T> Object read(String value, Class<T> type)